nxt.ms

## Class ExchangeOfferHome

- java.lang.Object
- - nxt.ms.ExchangeOfferHome

-     public final class ExchangeOfferHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExchangeOfferHome.AvailableOffers`
    `class` | `ExchangeOfferHome.BuyOffer`
    `class` | `ExchangeOfferHome.ExchangeOffer`
    `class` | `ExchangeOfferHome.SellOffer`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExchangeOfferHome` | `forChain(ChildChain childChain)`
    `DbIterator<ExchangeOfferHome.BuyOffer>` | `getAccountBuyOffers(long accountId, boolean availableOnly, int from, int to)`
    `DbIterator<ExchangeOfferHome.SellOffer>` | `getAccountSellOffers(long accountId, boolean availableOnly, int from, int to)`
    `DbIterator<ExchangeOfferHome.BuyOffer>` | `getAllBuyOffers(int from, int to)`
    `DbIterator<ExchangeOfferHome.SellOffer>` | `getAllSellOffers(int from, int to)`
    `ExchangeOfferHome.AvailableOffers` | `getAvailableToBuy(long currencyId, long unitsQNT)`
    `ExchangeOfferHome.AvailableOffers` | `getAvailableToSell(long currencyId, long units)`
    `ExchangeOfferHome.BuyOffer` | `getBuyOffer(Currency currency, Account account)`
    `ExchangeOfferHome.BuyOffer` | `getBuyOffer(long offerId)`
    `ExchangeOfferHome.BuyOffer` | `getBuyOffer(long currencyId, long accountId)`
    `int` | `getBuyOfferCount()`
    `DbIterator<ExchangeOfferHome.BuyOffer>` | `getBuyOffers(Currency currency, int from, int to)`
    `DbIterator<ExchangeOfferHome.BuyOffer>` | `getBuyOffers(DbClause dbClause, int from, int to)`
    `DbIterator<ExchangeOfferHome.BuyOffer>` | `getBuyOffers(DbClause dbClause, int from, int to, java.lang.String sort)`
    `DbIterator<ExchangeOfferHome.BuyOffer>` | `getCurrencyBuyOffers(long currencyId, boolean availableOnly, int from, int to)`
    `DbIterator<ExchangeOfferHome.SellOffer>` | `getCurrencySellOffers(long currencyId, boolean availableOnly, int from, int to)`
    `ExchangeOfferHome.SellOffer` | `getSellOffer(Currency currency, Account account)`
    `ExchangeOfferHome.SellOffer` | `getSellOffer(long id)`
    `ExchangeOfferHome.SellOffer` | `getSellOffer(long currencyId, long accountId)`
    `int` | `getSellOfferCount()`
    `DbIterator<ExchangeOfferHome.SellOffer>` | `getSellOffers(Currency currency, int from, int to)`
    `DbIterator<ExchangeOfferHome.SellOffer>` | `getSellOffers(DbClause dbClause, int from, int to)`
    `DbIterator<ExchangeOfferHome.SellOffer>` | `getSellOffers(DbClause dbClause, int from, int to, java.lang.String sort)`
    `void` | `removeOffer(AccountLedger.LedgerEvent event, ExchangeOfferHome.BuyOffer buyOffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static ExchangeOfferHome forChain(ChildChain childChain)

    - #### getAvailableToSell

          public ExchangeOfferHome.AvailableOffers getAvailableToSell(long currencyId,
                                                                      long units)

    - #### getAvailableToBuy

          public ExchangeOfferHome.AvailableOffers getAvailableToBuy(long currencyId,
                                                                     long unitsQNT)

    - #### removeOffer

          public void removeOffer(AccountLedger.LedgerEvent event,
                                  ExchangeOfferHome.BuyOffer buyOffer)

    - #### getBuyOfferCount

          public int getBuyOfferCount()

    - #### getBuyOffer

          public ExchangeOfferHome.BuyOffer getBuyOffer(long offerId)

    - #### getAllBuyOffers

          public DbIterator<ExchangeOfferHome.BuyOffer> getAllBuyOffers(int from,
                                                                        int to)

    - #### getBuyOffers

          public DbIterator<ExchangeOfferHome.BuyOffer> getBuyOffers(Currency currency,
                                                                     int from,
                                                                     int to)

    - #### getCurrencyBuyOffers

          public DbIterator<ExchangeOfferHome.BuyOffer> getCurrencyBuyOffers(long currencyId,
                                                                             boolean availableOnly,
                                                                             int from,
                                                                             int to)

    - #### getAccountBuyOffers

          public DbIterator<ExchangeOfferHome.BuyOffer> getAccountBuyOffers(long accountId,
                                                                            boolean availableOnly,
                                                                            int from,
                                                                            int to)

    - #### getBuyOffer

          public ExchangeOfferHome.BuyOffer getBuyOffer(Currency currency,
                                                        Account account)

    - #### getBuyOffer

          public ExchangeOfferHome.BuyOffer getBuyOffer(long currencyId,
                                                        long accountId)

    - #### getBuyOffers

          public DbIterator<ExchangeOfferHome.BuyOffer> getBuyOffers(DbClause dbClause,
                                                                     int from,
                                                                     int to)

    - #### getBuyOffers

          public DbIterator<ExchangeOfferHome.BuyOffer> getBuyOffers(DbClause dbClause,
                                                                     int from,
                                                                     int to,
                                                                     java.lang.String sort)

    - #### getSellOfferCount

          public int getSellOfferCount()

    - #### getSellOffer

          public ExchangeOfferHome.SellOffer getSellOffer(long id)

    - #### getAllSellOffers

          public DbIterator<ExchangeOfferHome.SellOffer> getAllSellOffers(int from,
                                                                          int to)

    - #### getSellOffers

          public DbIterator<ExchangeOfferHome.SellOffer> getSellOffers(Currency currency,
                                                                       int from,
                                                                       int to)

    - #### getCurrencySellOffers

          public DbIterator<ExchangeOfferHome.SellOffer> getCurrencySellOffers(long currencyId,
                                                                               boolean availableOnly,
                                                                               int from,
                                                                               int to)

    - #### getAccountSellOffers

          public DbIterator<ExchangeOfferHome.SellOffer> getAccountSellOffers(long accountId,
                                                                              boolean availableOnly,
                                                                              int from,
                                                                              int to)

    - #### getSellOffer

          public ExchangeOfferHome.SellOffer getSellOffer(Currency currency,
                                                          Account account)

    - #### getSellOffer

          public ExchangeOfferHome.SellOffer getSellOffer(long currencyId,
                                                          long accountId)

    - #### getSellOffers

          public DbIterator<ExchangeOfferHome.SellOffer> getSellOffers(DbClause dbClause,
                                                                       int from,
                                                                       int to)

    - #### getSellOffers

          public DbIterator<ExchangeOfferHome.SellOffer> getSellOffers(DbClause dbClause,
                                                                       int from,
                                                                       int to,
                                                                       java.lang.String sort)